谢谢你的建议,但我需要这两行代码
我修改了所有代码,然后写了这个
- (defun c:linedim(/ scl ht)
- (setq scl(/ (getreal "\n GIVE SCALE (100,200,500,etc) : ") 100))
- (setq ht(* 0.175 scl))
- (command "style" "diast" "wgsimpl.shx" "" "" "" "" "")
- (setq point1 '(0,0,0))
- (while point1
- (setq point1 (getpoint "Pick the first point :"))
- (setq point2 (getpoint "Pick the second point :"))
- (setq point3 (getpoint "pick the possition of the text :"))
- (setq apost (distance point1 point2))
- (setq gon (angle point1 point2))
- (setq gon2 (atof (angtos gon 2 2)))
- (setq apost2 (rtos apost 2 2))
- (command "text" point3 ht gon2 apost2)
- )
- )
但我想改变它。。。。
我需要选一条线,在中心线的下面写下距离 |